AT-NFC 2.1 (win) AT-NFC kernel set

Data Fields
tag_NFC_EP_TRAN_DATA Struct Reference
NFC Entry Point data definitions

EP Transaction data. More...

`#include <nfc_ep_data.h>`

## Data Fields
KER_INT16U | usSize
KER_BYTE | btVersion
KER_INT16U | usEpIndicators
const NFC_EXT_TERM_TRAN_DATA * | pTermTranData
const KER_TLV * | pTermTranDataTLV
KER_BYTE | ar_btUN [4]
KER_BYTE | ar_bt96 [8]
KER_BYTE | ar_btLangPref [8]
KER_BYTE | btLangPrefLen
KER_INT16U | usSW1SW2
KER_BYTE | ar_btSelectResp [EMV_RESP_APDU_MAX_SIZE]
KER_INT16U | usSelectRespLen
const KER_BYTE * | pbt84
KER_INT16U | us84Len
const KER_BYTE * | pbtCPLC
KER_INT16U | usCPLCLen
KER_BYTE | btEpStart

## Detailed Description

EP Transaction data.

## Field Documentation

## ◆ ar_bt96

KER_BYTE ar_bt96[8]

Kernel ID - Terminal, assigned by EP

## ◆ ar_btLangPref

KER_BYTE ar_btLangPref[8]

EP Select APP result: Selected Lang preference

## ◆ ar_btSelectResp

KER_BYTE ar_btSelectResp[EMV_RESP_APDU_MAX_SIZE]

EP Select APP result: resp data reference

## ◆ ar_btUN

KER_BYTE ar_btUN[4]

UN, assigned by EP

## ◆ btEpStart

KER_BYTE btEpStart

EP Start value for Test Kernel

## ◆ btLangPrefLen

KER_BYTE btLangPrefLen

Lang preference length

## ◆ btVersion

KER_BYTE btVersion

version

## ◆ pbt84

const KER_BYTE* pbt84

EP Select APP result: ADF (84) data reference

## ◆ pbtCPLC

const KER_BYTE* pbtCPLC

Tlv buffer with EP CPLC data (9F7F), optional, set KER_NULL if CPLC data not required

## ◆ pTermTranData

const NFC_EXT_TERM_TRAN_DATA* pTermTranData

Transaction data, obtained from terminal (optional, set KER_NULL for fixed tran data)

## ◆ pTermTranDataTLV

const KER_TLV* pTermTranDataTLV

Transaction data, obtained from terminal (optional, set KER_NULL for fixed tran data)

## ◆ us84Len

KER_INT16U us84Len

length of pbt84 data

## ◆ usCPLCLen

KER_INT16U usCPLCLen

length of pbtCPLC

## ◆ usEpIndicators

KER_INT16U usEpIndicators

transaction indicators, set by EP

## ◆ usSelectRespLen

KER_INT16U usSelectRespLen

length of ar_btSelectResp data

## ◆ usSize

KER_INT16U usSize

size of struct

## ◆ usSW1SW2

KER_INT16U usSW1SW2

EP Select APP result: SW1SW2

The documentation for this struct was generated from the following file:

- D:/VM_SHARE/Views_Static/petrov_dev_emv_VM_view/EMV_NEXT/Kernels/inc/nfc/nfc_ep_data.h